# FORCE_EVAL

Section can be repeated.

parameters needed to calculate energy and forces and describe the system you want to analyze. [Edit on GitHub]

Subsections

- BSSE
- DFT
- EIP
- EMBED
- EXTERNAL_POTENTIAL
- MIXED
- MM
- NNP
- PRINT
- PROPERTIES
- PW_DFT
- QMMM
- RESCALE_FORCES
- SUBSYS

## Keywords

- METHOD

- STRESS_TENSOR

## Keyword descriptions

METHOD: enum = QS

  Usage: METHOD <STRING>

  Valid values:

  - `QS` Alias for QUICKSTEP

  - `SIRIUS` PW DFT using the SIRIUS library

  - `FIST` Molecular Mechanics

  - `QMMM` Hybrid quantum classical

  - `EIP` Empirical Interatomic Potential

  - `QUICKSTEP` Electronic structure methods (DFT, …)

  - `NNP` Neural Network Potentials

  - `MIXED` Use a combination of two of the above

  - `EMBED` Perform an embedded calculation

  - `IPI` Recieve forces from i–PI client

  Which method should be used to compute forces [Edit on GitHub]

STRESS_TENSOR: enum = NONE

  Usage: stress_tensor (NONE|ANALYTICAL|NUMERICAL|DIAGONAL_ANA|DIAGONAL_NUM)

  Valid values:

  - `NONE` Do not compute stress tensor

  - `ANALYTICAL` Compute the stress tensor analytically (if available).

  - `NUMERICAL` Compute the stress tensor numerically.

  - `DIAGONAL_ANALYTICAL` Compute the diagonal part only of the stress tensor analytically (if available).

  - `DIAGONAL_NUMERICAL` Compute the diagonal part only of the stress tensor numerically

  Controls the calculation of the stress tensor. The combinations defined below are not implemented for all methods. [Edit on GitHub]